summaryrefslogtreecommitdiff
path: root/files
diff options
context:
space:
mode:
authorSilvio Rhatto <rhatto@riseup.net>2011-12-26 12:51:11 -0200
committerSilvio Rhatto <rhatto@riseup.net>2011-12-26 12:51:11 -0200
commitc7b5e6382568aa06f26d80b7130a959c4384b990 (patch)
treea0ec190262fa16a622107d49786c53b898d8ca94 /files
downloadpuppet-etherpad-c7b5e6382568aa06f26d80b7130a959c4384b990.tar.gz
puppet-etherpad-c7b5e6382568aa06f26d80b7130a959c4384b990.tar.bz2
Initial import
Diffstat (limited to 'files')
-rw-r--r--files/init.d/etherpad-lite.sh77
-rw-r--r--files/logrotate.d/etherpad-lite6
2 files changed, 83 insertions, 0 deletions
diff --git a/files/init.d/etherpad-lite.sh b/files/init.d/etherpad-lite.sh
new file mode 100644
index 0000000..8eefb02
--- /dev/null
+++ b/files/init.d/etherpad-lite.sh
@@ -0,0 +1,77 @@
+#!/bin/sh
+
+### BEGIN INIT INFO
+# Provides: etherpad-lite
+# Required-Start: $local_fs $remote_fs $network $syslog
+# Required-Stop: $local_fs $remote_fs $network $syslog
+# Default-Start: 2 3 4 5
+# Default-Stop: 0 1 6
+# Short-Description: starts etherpad lite
+# Description: starts etherpad lite using start-stop-daemon
+### END INIT INFO
+
+PATH="/usr/local/sbin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin:/opt/node/bin"
+LOGFILE="/var/log/etherpad-lite/etherpad-lite.log"
+EPLITE_DIR="/usr/lib/etherpad-lite"
+EPLITE_BIN="bin/safeRun.sh"
+USER="etherpad-lite"
+GROUP="etherpad-lite"
+DESC="Etherpad Lite"
+NAME="etherpad-lite"
+
+set -e
+
+. /lib/lsb/init-functions
+
+start() {
+ echo "Starting $DESC... "
+
+ start-stop-daemon --start --chuid "$USER:$GROUP" --background --make-pidfile --pidfile /var/run/$NAME.pid --exec $EPLITE_DIR/$EPLITE_BIN -- $LOGFILE || true
+ echo "done"
+}
+
+#We need this function to ensure the whole process tree will be killed
+killtree() {
+ local _pid=$1
+ local _sig=${2-TERM}
+ for _child in $(ps -o pid --no-headers --ppid ${_pid}); do
+ killtree ${_child} ${_sig}
+ done
+ kill -${_sig} ${_pid}
+}
+
+stop() {
+ echo "Stopping $DESC... "
+ while test -d /proc/$(cat /var/run/$NAME.pid); do
+ killtree $(cat /var/run/$NAME.pid) 15
+ sleep 0.5
+ done
+ rm /var/run/$NAME.pid
+ echo "done"
+}
+
+status() {
+ status_of_proc -p /var/run/$NAME.pid "" "etherpad-lite" && exit 0 || exit $?
+}
+
+case "$1" in
+ start)
+ start
+ ;;
+ stop)
+ stop
+ ;;
+ restart)
+ stop
+ start
+ ;;
+ status)
+ status
+ ;;
+ *)
+ echo "Usage: $NAME {start|stop|restart|status}" >&2
+ exit 1
+ ;;
+esac
+
+exit 0
diff --git a/files/logrotate.d/etherpad-lite b/files/logrotate.d/etherpad-lite
new file mode 100644
index 0000000..ae95e45
--- /dev/null
+++ b/files/logrotate.d/etherpad-lite
@@ -0,0 +1,6 @@
+/var/log/etherpad-lite/etherpad-lite.log {
+ create 644 etherpad-lite etherpad-lite
+ rotate 7
+ compress
+ daily
+}